Bug 224262 - 2.6.19-1.2895.fc6 kernel panic during glibc check
2.6.19-1.2895.fc6 kernel panic during glibc check
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
bzcl34nup
:
Depends On:
Blocks: 418441
  Show dependency treegraph
 
Reported: 2007-01-24 16:44 EST by H.J. Lu
Modified: 2008-05-06 14:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 14:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2007-01-24 16:44:46 EST
When I ran

# make -j4 xcheck PARALLELMFLAGS=-j4

on a dual core machine on 2007-01-24 glibc from CVS, kernel panicked:

BUG: spinlock lockup on CPU#0, ...
... dump_trace ...
... show_trace_log_lvl ...
... show_trace ...
... dump_stack ...
... _raw_spin_lock ...
... exit_pi_state_list ...
... do_exit ...
... die ...
... do_invalid_op ...
... error_code ...
... rt_mutex_next_owner ...
... do_futex ...
... sys_futex ...
... syscall_call ...
Comment 1 Chuck Ebbert 2007-01-25 13:49:55 EST
Which kernel was this?

And without exact addresses and offsets for the call trace it's
kind of hard to tell what happened.
Comment 2 H.J. Lu 2007-01-25 14:11:51 EST
It is 2.6.19-1.2895.fc6 i686 kernel. That machine doesn't have a serial
port and kernel panic doesn't happen very time. I will try to write
down the addresses next time.
Comment 3 H.J. Lu 2007-02-06 12:41:31 EST
It happened again with "make check" in glibc.

BUG: spinlock lockup on CPU#0, ld-linux.so.2/7451, c0859f88 (Not tainted)
[<c0405018>] dump_trace+0x69/0x1b6
[<c040517d>] show_trace_log_lvl+0x18/0x2c
[<c0405778>] show_trace+0f/0x11
[<c0405875>] dump_stack+0x15/0x17
[<c04f39af>] _raw_spin_lock+0xbf/0xdc
[<c043f10c>] exit_pi_state_list+0x4a/0x130
[<c042a6b4>] do_exit+0x73b/0x787
[<c0405719>] die+0x2c3/0x2e8
[<c0405c5a>] do_invalid_op+0xa2/0xab
[<c0625ce1>] error_code+0x39/0x40
[<c043f3d7>] rt_mutex_next_owner+0x2f/0x40
[<c043ecfc>] do_futex+0x94d/0xbe3
[<c043f0af>] sys_futex+0x11d/0x130
[<c040404b>] syscall_call+0x7/0xb
[<40000402>] 0x4000402
Comment 4 Chuck Ebbert 2007-02-09 13:19:32 EST
We are trying to recursively take hb->lock:
    taken at kernel/futex.c:futex_unlock_pi():1384

So the BUG_ON() message never even gets delivered.

[<c04f39af>] _raw_spin_lock+0xbf/0xdc
[<c043f10c>] exit_pi_state_list+0x4a/0x130
    kernel/futex.c:exit_pi_state_list():437:
        spin_lock(&hb->lock);
[<c042a6b4>] do_exit+0x73b/0x787
[<c0405719>] die+0x2c3/0x2e8
[<c0405c5a>] do_invalid_op+0xa2/0xab
[<c0625ce1>] error_code+0x39/0x40
[<c043f3d7>] rt_mutex_next_owner+0x2f/0x40
    kernel/rt_mutex_common.c:rt_mutex_top_waiter():74:
        BUG_ON(w->lock != lock);
[<c043ecfc>] do_futex+0x94d/0xbe3
     inlined: futex_unlock_pi()
     inlined: wake_futex_pi()
     kernel/futex.c:wake_futex_pi():569:
        new_owner = rt_mutex_next_owner(&pi_state->pi_mutex);
[<c043f0af>] sys_futex+0x11d/0x130
[<c040404b>] syscall_call+0x7/0xb
Comment 5 Chuck Ebbert 2007-03-21 17:18:44 EDT
This should be fixed in kernel 2.6.20-1.2933.fc6, available in fedora-testing.

Can you test this?
Comment 6 Bug Zapper 2008-04-04 01:43:54 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 14:09:54 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.